Bug 490767 - Documentation update for kickstart.profile.downloadkickstart missing sessionKey
Documentation update for kickstart.profile.downloadkickstart missing sessio...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Brad Buckingham
John Matthews
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-03-17 17:47 EDT by John Matthews
Modified: 2009-09-10 15:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:55:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2009-03-17 17:47:02 EDT
Description of problem:

Missing "string sessionKey" in
/rhn/apidoc/handlers/ProfileHandler.jsp#downloadKickstart

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090306.2-i386-embedded-oracle.iso

Method: downloadKickstart
Description:
Download the full contents of a kickstart file.

Parameters:

    * string ksLabel - The label of the kickstart to download.
    * string host - The host to use when referring to the satellite itself (Usually this should be the FQDN of the satellite, but could be the ip address or shortname of it as well.



Expected Results:
Method: downloadKickstart
Description:
Download the full contents of a kickstart file.

Parameters:
    * string sessionKey 
    * string ksLabel - The label of the kickstart to download.
    * string host - The host to use when referring to the satellite itself (Usually this should be the FQDN of the satellite, but could be the ip address or shortname of it as well.
Comment 1 Brad Buckingham 2009-03-17 18:45:45 EDT
git commit: 018ffde2e45aee36883cb824fff59fa2262f0328
Comment 2 Brad Buckingham 2009-03-23 16:28:25 EDT
mass move to ON_QA
Comment 3 John Matthews 2009-03-23 16:39:49 EDT
ISO: Satellite-5.3.0-RHEL5-re20090323.0-i386-embedded-oracle.iso
Verified


Method: downloadKickstart
Description:
Download the full contents of a kickstart file.

Parameters:

    * string sessionKey
    * string ksLabel - The label of the kickstart to download.
    * string host - The host to use when referring to the satellite itself (Usually this should be the FQDN of the satellite, but could be the ip address or shortname of it as well.

Returns:

    * string - The contents of the kickstart file. Note: if an activation key is not associated with the kickstart file, registration will not occur in the satellite generated %post section. If one is associated, it will be used for registration.
Comment 4 Miroslav Suchý 2009-08-25 09:18:52 EDT
 Method: downloadKickstart
Description:
Download the full contents of a kickstart file.

Parameters:

    * string sessionKey
    * string ksLabel - The label of the kickstart to download.
    * string host - The host to use when referring ...

verified in stage on xen5
Comment 5 Brandon Perkins 2009-09-10 15:55:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.